ReferenceItem lists
Transport types
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/transport-types' \ -H 'Authorization: Bearer <access-token>'[ { "eshopId": "string", "id": 0, "transportPrice": 0, "transportType": "string", "warehouseId": 0 }]POST
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- body
eshopId?|Length
length <= 50id?integerFormat
int32transportPrice?|Format
decimaltransportType?|Length
length <= 80warehouseId?|Format
int32application/json- response
eshopId?|Length
length <= 50id?integerFormat
int32transportPrice?|Format
decimaltransportType?|Length
length <= 80warehouseId?|Format
int32curl -X POST 'https://<your-instance>/api/item-lists/transport-types' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "eshopId": "string", "id": 0, "transportPrice": 0, "transportType": "string", "warehouseId": 0}GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
eshopId?|Length
length <= 50id?integerFormat
int32transportPrice?|Format
decimaltransportType?|Length
length <= 80warehouseId?|Format
int32curl -X GET 'https://<your-instance>/api/item-lists/transport-types/0' \ -H 'Authorization: Bearer <access-token>'{ "eshopId": "string", "id": 0, "transportPrice": 0, "transportType": "string", "warehouseId": 0}PATCH
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- body
eshopId?|Length
length <= 50id?integerFormat
int32transportPrice?|Format
decimaltransportType?|Length
length <= 80warehouseId?|Format
int32application/json- response
eshopId?|Length
length <= 50id?integerFormat
int32transportPrice?|Format
decimaltransportType?|Length
length <= 80warehouseId?|Format
int32curl -X PATCH 'https://<your-instance>/api/item-lists/transport-types/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "eshopId": "string", "id": 0, "transportPrice": 0, "transportType": "string", "warehouseId": 0}DELETE
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32curl -X DELETE 'https://<your-instance>/api/item-lists/transport-types/0' \ -H 'Authorization: Bearer <access-token>'Empty